/**
 * Convert an IP address from presentation to decimal(39,0) format suitable for storage in MySQL
 *
 * @param string $ip_address An IP address in IPv4, IPv6 or decimal notation
 * @return string The IP address in decimal notation
 */
function inet_ptod($ip_address)
{
    // IPv4 address
    if (strpos($ip_address, ':') === false && strpos($ip_address, '.') !== false) {
        $ip_address = '::' . $ip_address;
    }

    // IPv6 address
    if (strpos($ip_address, ':') !== false) {
        $network = inet_pton($ip_address);
        $parts = unpack('N*', $network);

        foreach ($parts as &$part) {
                if ($part < 0) {
                        $part = bcadd((string) $part, '4294967296');
                }

                if (!is_string($part)) {
                        $part = (string) $part;
                }
        }

        $decimal = $parts[4];
        $decimal = bcadd($decimal, bcmul($parts[3], '4294967296'));
        $decimal = bcadd($decimal, bcmul($parts[2], '18446744073709551616'));
        $decimal = bcadd($decimal, bcmul($parts[1], '79228162514264337593543950336'));

        return $decimal;
    }

    // Decimal address
    return $ip_address;
}

$ip=inet_ptod($_SERVER['REMOTE_ADDR']);

$userpattern = $_GETTHING


// ip search 

$ipquery = "SELECT IP FROM grid_game WHERE IP='$ip'"; 

$ipresult = mysql_query("guest_book", $ipquery); 

if(mysql_num_rows($ipresult) > 0)
{
	$returncode = "N"
}
else 
{
	$returncode = "Y"


	mysql_query("INSERT INTO grid_game (ip,pattern) VALUES($ip'','$userpattern');");
}


$patternquery = "
		SELECT pattern,
		FROM grid_game
		GROUP BY pattern
		ORDER BY COUNT( pattern) DESC
		LIMIT 2";



$patternresult = mysql_query($patternquery);

$throwaway=mysql_fetch_array($patternresult);
$second = mysql_fetch_array($patternresult);

if ($second[0]==$userpattern)
{
	$returncode = $returncode + "W";
}
else
{
	$returncode = $returncode + "L";
}

echo $returncode;

